Skip to main content
`Ctrl`+`K`

# DMSNESSetObjectiveLocal

set a local objective evaluation function. This function is called with local vector containing the local vector information PLUS ghost point information. It should compute a result for all local elements and `DMSNES` will automatically accumulate the overlapping values.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESSetObjectiveLocal(DM dm, PetscErrorCode (*func)(DM, Vec, PetscReal *, void *), void *ctx)

Logically Collective

## Input Parameters

- dm - `DM` to associate callback with

- func - local objective evaluation

- ctx - optional context for local residual evaluation

## See Also

`DMSNESSetFunctionLocal()`, `DMSNESSetJacobianLocal()`

## Level

advanced

## Location

src/snes/utils/dmlocalsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages